Get file information
Server:
https://{kibana_url}
- GET /api/endpoint/action/{action_id}/file/{file_id}
- GET /s/{space_id}/api/endpoint/action/{action_id}/file/{file_id}
Refer to Spaces for more information.
Get information for the specified response action file download.
Path Parameters
-
action_idstringrequired -
The ID of the response action that generated the file.
-
file_idstringrequired -
The file identifier is constructed in one of two ways:
- For Elastic Defend agents (
agentTypeofendpoint): combine theaction_idandagent_idvalues using a dot (.) separator:{file_id}={action_id}.{agent_id} - For all other agent types: the
file_idis theagent_idfor which the response action was sent to.
- For Elastic Defend agents (
Response
Indicates a successful call.
-
dataobject -
actionIdstring -
The response action ID.
-
agentIdstring -
The agent ID that generated the file.
-
agentTypestring -
The type of agent that generated the file.
-
createdstring -
The date and time the file was created.
-
idstring -
The unique file identifier.
-
mimeTypestring -
The MIME type of the file.
-
namestring -
The file name.
-
sizenumber -
The file size in bytes.